p11-kit: couldn't load module: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory

Bug #1157904 reported by Sean Sosik-Hamor on 2013-03-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
Undecided
Unassigned

Bug Description

Received the following error while upgrading cups:

Setting up cups (1.6.2-1) ...
p11-kit: couldn't load module: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory
p11-kit: couldn't load module: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: cups 1.6.2-1
ProcVersionSignature: Ubuntu 3.8.0-13.22-generic 3.8.3
Uname: Linux 3.8.0-13-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.9.2-0ubuntu2
Architecture: amd64
CheckboxSubmission: 15c9c9b122c9273f52b28c9a5df794ac
CheckboxSystem: 7e42599bda39ea7ff8b528272b6ef52b
Date: Wed Mar 20 14:35:54 2013
EcryptfsInUse: Yes
InstallationDate: Installed on 2012-10-23 (147 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
Lpstat:
 p11-kit: couldn't load module: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory
 device for Brother-HL-2270DW-series: dnssd://Brother%20HL-2270DW%20series._pdl-datastream._tcp.local/
MachineType: Apple Inc. MacBookAir3,1
MarkForUpload: True
Papersize: letter
PpdFiles: Brother-HL-2270DW-series: Brother HL-2070N Foomatic/hl1250 (recommended)
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-13-generic root=UUID=562b32e2-fcf1-441d-a801-0e86d44f83b9 ro quiet splash vt.handoff=7
SourcePackage: cups
UpgradeStatus: Upgraded to raring on 2013-03-19 (1 days ago)
dmi.bios.date: 01/24/12
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBA31.88Z.0061.B07.1201241641
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-942452F5819B1C1B
dmi.board.vendor: Apple Inc.
dmi.board.version: 1.0
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-942452F5819B1C1B
dmi.modalias: dmi:bvnAppleInc.:bvrMBA31.88Z.0061.B07.1201241641:bd01/24/12:svnAppleInc.:pnMacBookAir3,1:pvr1.0:rvnAppleInc.:rnMac-942452F5819B1C1B:rvr1.0:cvnAppleInc.:ct10:cvrMac-942452F5819B1C1B:
dmi.product.name: MacBookAir3,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
modified.conffile..etc.cups.cupsd.conf: [modified]
mtime.conffile..etc.cups.cupsd.conf: 2013-03-19T12:34:29.092000

Sean Sosik-Hamor (sciri) wrote :
Till Kamppeter (till-kamppeter) wrote :

I will upload a new CUPS package with dependency on libp11-kit-gnome-keyring which contains the missing file.

Changed in cups (Ubuntu):
status: New → In Progress
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.6.2-1ubuntu2

---------------
cups (1.6.2-1ubuntu2) raring; urgency=low

  * debian/control: Added libp11-kit-gnome-keyring to the dependencies of
    the cups-binary package (LP: #1157904).
 -- Till Kamppeter <email address hidden> Wed, 20 Mar 2013 19:58:01 +0100

Changed in cups (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers